import { type IEditorOverrideServices } from "@codingame/monaco-vscode-api/vscode/vs/editor/standalone/browser/standaloneServices";
import { SidebarPart } from "@codingame/monaco-vscode-6980eeab-47bb-5a48-8e15-32caf0785565-common/vscode/vs/workbench/browser/parts/sidebar/sidebarPart";
import { ActivityService } from "@codingame/monaco-vscode-9efc1f50-c7de-55d6-8b28-bcc88bd49b5a-common/vscode/vs/workbench/services/activity/browser/activityService";
import { ActivitybarPart } from "@codingame/monaco-vscode-6bf85d7b-e6e3-54e9-9bc1-7e08d663f0f6-common/vscode/vs/workbench/browser/parts/activitybar/activitybarPart";
import type { IDisposable, IReference } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { PanelPart } from "@codingame/monaco-vscode-6980eeab-47bb-5a48-8e15-32caf0785565-common/vscode/vs/workbench/browser/parts/panel/panelPart";
import { Part } from "@codingame/monaco-vscode-85886bdb-61c5-52f1-8eb7-d1d32f6f8cbd-common/vscode/vs/workbench/browser/part";
import { GroupOrientation } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/editor/common/editorGroupsService";
import type { IEditorOptions } from "@codingame/monaco-vscode-api/vscode/vs/platform/editor/common/editor";
import type { IResolvedTextEditorModel } from "@codingame/monaco-vscode-model-service-override/vscode/vs/editor/common/services/resolverService";
import { Parts, Position } from "@codingame/monaco-vscode-c8227507-8e59-53d6-b50b-71c0ab384cf4-common/vscode/vs/workbench/services/layout/browser/layoutService";
import type { ILayoutInitializationState } from "@codingame/monaco-vscode-workbench-service-override/vscode/vs/workbench/browser/layout";
import { type OpenEditor } from "./service-override/tools/editor.js";
export * from "./service-override/tools/views.js";
declare function renderPart(partContainer: HTMLElement, part: Part): void;
declare function attachPart(part: Parts, container: HTMLElement): IDisposable;
declare function onPartVisibilityChange(part: Parts, listener: (visible: boolean) => void): IDisposable;
declare function renderActivitybarPar(container: HTMLElement): IDisposable;
declare function renderSidebarPart(container: HTMLElement): IDisposable;
declare function renderPanelPart(container: HTMLElement): IDisposable;
declare function renderAuxiliaryPart(container: HTMLElement): IDisposable;
declare function renderEditorPart(container: HTMLElement): IDisposable;
declare function renderStatusBarPart(container: HTMLElement): IDisposable;
declare function isEditorPartVisible(): boolean;
type InitializationStateTransformer = (state: ILayoutInitializationState) => ILayoutInitializationState;
declare function getServiceOverride(openEditorFallback?: OpenEditor, _webviewIframeAlternateDomains?: string): IEditorOverrideServices;
/**
 * @deprecated Provide restoreEditors with the initializationState.editor.restoreEditors params
 */
declare function getServiceOverride(openEditorFallback?: OpenEditor, _webviewIframeAlternateDomains?: string, restoreEditors?: boolean): IEditorOverrideServices;
declare function getServiceOverride(openEditorFallback?: OpenEditor, _webviewIframeAlternateDomains?: string, initializationState?: InitializationStateTransformer): IEditorOverrideServices;
export default getServiceOverride;
export { GroupOrientation, renderPart, renderSidebarPart, renderActivitybarPar, renderAuxiliaryPart, renderPanelPart, renderEditorPart, renderStatusBarPart, isEditorPartVisible, attachPart, onPartVisibilityChange, Position, ActivityService, SidebarPart, ActivitybarPart, PanelPart };
export type { ILayoutInitializationState, InitializationStateTransformer, OpenEditor, IEditorOptions, IResolvedTextEditorModel, IReference };
